function [t,y]=feuler(odefun,tspan,y,Nh,varargin)
h=(tspan(2)-tspan(1))/Nh;
tt=linspace(tspan(1),tspan(2),Nh+1);
for t=tt(1:end-1)
    y=[y;y(end,:)+h*feval(odefun,t,y(end,:),varargin{:})];
end
t=tt;
return